%define upstream_name    Workflow
%define upstream_version 1.48

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Simple, flexible system to implement workflows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor) >= 0.180.0
BuildRequires: perl(Class::Factory) >= 1.0.0
BuildRequires: perl(Class::Observable) >= 1.40.0
BuildRequires: perl(DBD::Mock) >= 0.100.0
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(DateTime) >= 0.150.0
BuildRequires: perl(DateTime::Format::Strptime) >= 1.0.0
BuildRequires: perl(Exception::Class) >= 1.100.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Dispatch) >= 2.0.0
BuildRequires: perl(Log::Log4perl) >= 0.340.0
BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Kwalitee) >= 1.210.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod) >= 1.410.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(XML::Simple) >= 2.0.0
BuildArch:  noarch

%description
Overview
    This is a standalone workflow system. It is designed to fit into your
    system rather than force your system to fit to it. You can save
    workflow information to a database or the filesystem (or a custom
    storage). The different components of a workflow system can be included
    separately as libraries to allow for maximum reusibility.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.480.0-2.mga8
+ Revision: 1530987
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 tv <tv> 1.480.0-1.mga8
+ Revision: 1438271
- update to 1.48

* Sun Jun 30 2019 tv <tv> 1.460.0-1.mga8
+ Revision: 1416440
- update to 1.46

* Thu Sep 20 2018 umeabot <umeabot> 1.450.0-3.mga7
+ Revision: 1287293
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.450.0-2.mga7
+ Revision: 1167330
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.450.0-1.mga7
+ Revision: 1157361
- new version 1.45

* Sun Jun 19 2016 pterjan <pterjan> 1.420.0-2.mga6
+ Revision: 1035700
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 1.420.0-1.mga6
+ Revision: 924973
- imported package perl-Workflow


* Sun Jan 17 2016 buchan 1.42-1mga
- New upstream version 1.42

* Sun May 10 2015 buchan 1.41-1mga
- initial mageia release, generated with cpan2dist
